{$INCLUDE 'lib\pepak\jedi.inc'}

{$DEFINE LONGPATHS}
  // Support for very long paths (over 256 characters)
  // Requires Unicode build (Delphi 2009+)

{$DEFINE LARGEFILES}
  // Support for files over 2TB on Windows XP
  // Untested, but should work

{.$DEFINE UACMANIFEST}
  // Use UAC manifest. Generally not very useful as it invokes a confirmation
  // prompt before execution. It is recommended that in UAC environments, VFY
  // be run from an elevated application so that it inherits the elevation.

{$DEFINE SHOWRESULTSIMMEDIATELY}
  // Show found differences while scanning.

{.$DEFINE CASESENSITIVESUPPORT}
  // Support case-insensitive searches on Windows
  // Needs HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Session Manager\kernel\ObCaseInsensitive
  //   set to 1, otherwise kernel overrides the case-sensitive flags anyway

{$DEFINE OVERRIDEWOW64}
  // Support for WoW64 redirection

  {$DEFINE OVERRIDEWOW64GLOBALLY}
    // Override WoW64 redirection globally (in whole application). It's quick and simple
    // but requires that the application does not try to load DLLs while redirection is
    // turned on.

{$DEFINE RAWFILEACCESS}
  // Support for raw (direct) access to files using the filesystem parsing. 
  // Requires privileges sufficient to read the raw filesystem, but overcomes
  // a limitation to read files which have been locked for access.
  // Uses 7-zip for the access.
  {.$DEFINE CACHEOPENEDVOLUMES}
    // When a volume is opened, keep it open. This decreases the time to read
    // files from the volume again, but it significantly increases the risk
    // that the file data will become corrupt due to changes to the filesystem
    // while VFY is running.
  {$DEFINE RAWFILEACCESSUSING7ZIP}
    // Use 7-zip to provide raw filesystem access

{$DEFINE DELPHICZBANNER}
  // Show banner for Delphi.cz competition

//----- Debugging information --------------------------------------------------

{.$DEFINE DEBUG_LOG}
  // Save debug information

{.$DEFINE DEBUG_CACHE}
  // Information about cache operations

{.$DEFINE DEBUG_REFRESHNEEDED}
  // Information about dirty cache operations

{.$DEFINE DEBUG_OPERATIONSPROGRESS}
  // Information about steps taken during VFY operations. Needed in order to
  // find just where it happens that an UPDATE operation correctly finishes
  // but not .changes file is written.

//----- DON'T CHANGE ANYTHING BELOW THIS LINE ----------------------------------

{$IFDEF WIN32}
  {$DEFINE MSWINDOWS}
{$ENDIF}

{$IFDEF WIN64}
  {$DEFINE MSWINDOWS}
{$ENDIF}

{$IFNDEF MSWINDOWS}
  {$UNDEF LONGPATHS}
  {$UNDEF LARGEFILES}
  {$UNDEF CASESENSITIVESUPPORT}
  {$UNDEF OVERRIDEWOW64}
  {$UNDEF RAWFILEACCESS}
{$ENDIF}

{$IFDEF WIN64}
  {$UNDEF OVERRIDEWOW64}
{$ENDIF}

{$IFNDEF UNICODE}
  {$UNDEF LONGPATHS}
  {$UNDEF CASESENSITIVESUPPORT}
  {$UNDEF RAWFILEACCESS}
{$ENDIF}

{$IFNDEF RAWFILEACCESS}
  {$UNDEF RAWFILEACCESSUSING7ZIP}
{$ENDIF}

{$IFNDEF OVERRIDEWOW64}
  {$UNDEF OVERRIDEWOW64GLOBALLY}
{$ENDIF}

{$IFNDEF DEBUG}
  {$UNDEF DEBUG_LOG}
{$ENDIF}

{$IFNDEF DEBUG_LOG}
  {$UNDEF DEBUG_CACHE}
  {$UNDEF DEBUG_REFRESHNEEDED}
  {$UNDEF DEBUG_OPERATIONSPROGRESS}
{$ENDIF}
